Bug 890 - Phase out legacy keyboard driver (driver "keyboard").
Phase out legacy keyboard driver (driver "keyboard").
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Input/Keyboard
git
All All
: high enhancement
Assigned To: Xorg Project Team
:
Depends on: 1068 1176 2181 2587
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-19 13:19 UTC by Kristian Høgsberg
Modified: 2006-07-21 13:33 UTC (History)
2 users (show)

See Also:


Attachments
Patch to deprecate old keyboard driver and disable compilation by default. (5.07 KB, patch)
2004-07-19 13:24 UTC, Kristian Høgsberg
no flags Details | Splinter Review
Patch to completely remove legacy keyboard driver. (57.82 KB, patch)
2004-07-19 13:24 UTC, Kristian Høgsberg
no flags Details | Splinter Review
Patch to remove legacy keyboard driver. (138.99 KB, patch)
2006-07-21 12:44 UTC, Kristian Høgsberg
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kristian Høgsberg 2004-07-19 13:19:24 UTC
The legacy keyboard driver is implemented in various files in hw/xfree86/common,
which leaves a lot of OS-specific code in the common directory.  Also, the
keyboard driver is hardwired into the initialization sequence, giving a lot of
special cases.

A worthwhile cleanup, which will remove ~4300 lines of code from the X server.

The new keyboard driver "kbd" provides a feature equivalent replacement, which
is contained in hw/xfree86/input/keyboard plus os-specific parts.  It's not
currently supported on all platforms, but by marking it as deprecated in the
next release (6.7 + 1) and removing it in the release after that, should allow
those platforms to catch up.
Comment 1 Kristian Høgsberg 2004-07-19 13:24:08 UTC
Created attachment 492 [details] [review]
Patch to deprecate old keyboard driver and disable compilation  by default.
Comment 2 Kristian Høgsberg 2004-07-19 13:24:53 UTC
Created attachment 493 [details] [review]
Patch to completely remove legacy keyboard driver.
Comment 3 Kevin E. Martin 2004-08-06 12:15:41 UTC
Kristian, this was discussed on today's release wranglers call, and it was
decided that it was okay to apply the "depricate old keyboard driver and disable
compilation by default" patch.  Please go ahead.

Also, when you have applied the patch move this bug over to block the release
notes bug (#999).
Comment 4 Kristian Høgsberg 2004-08-08 14:44:55 UTC
Moving to doc-bug.
Comment 5 ajax at nwnk dot net 2005-03-26 19:06:10 UTC
can we close this one now?
Comment 6 ajax at nwnk dot net 2005-07-29 12:59:17 UTC
taking off the 7.0 radar, aim this one for 7.1.
Comment 7 Kristian Høgsberg 2006-07-21 12:44:56 UTC
Created attachment 6295 [details] [review]
Patch to remove legacy keyboard driver.

Here's an updated patch against git master as of today.
Comment 8 Daniel Stone 2006-07-21 13:33:54 UTC
committed to input-hotplug branch